> For the complete documentation index, see [llms.txt](https://docs.mindee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mindee.com/v2/fr/integrations/ai-coding-assistants.md).

# Assistants de codage IA

{% hint style="info" %}
Des utilisateurs ont signalé que plusieurs agents IA insistent pour fournir du code v1 aux utilisateurs de v2.

Si vous rencontrez des problèmes de décalage entre v1 et v2, veillez à fournir le fichier SKILL approprié à votre agent.
{% endhint %}

## Fichiers SKILL

Utilisez-les lorsque vous intégrez Mindee à l’aide d’un agent IA tel que Claude Code, Codex ou Copilot. Vous pouvez également intégrer ce fichier dans votre IDE piloté par l’IA, comme VS Code ou les différents produits JetBrains.

Téléchargez simplement le fichier correspondant à votre langue et fournissez-le à votre agent local.

{% tabs %}
{% tab title="Python" %}
{% embed url="<https://raw.githubusercontent.com/mindee/mindee-api-python/refs/heads/main/SKILL.md>" %}
{% endtab %}

{% tab title="Node.js" %}
{% embed url="<https://raw.githubusercontent.com/mindee/mindee-api-nodejs/refs/heads/main/SKILL.md>" %}
{% endtab %}

{% tab title="PHP" %}
{% embed url="<https://raw.githubusercontent.com/mindee/mindee-api-php/refs/heads/main/SKILL.md>" %}
{% endtab %}

{% tab title="Ruby" %}
{% embed url="<https://raw.githubusercontent.com/mindee/mindee-api-ruby/refs/heads/main/SKILL.md>" %}
{% endtab %}

{% tab title="Java" %}
{% embed url="<https://raw.githubusercontent.com/mindee/mindee-api-java/refs/heads/main/SKILL.md>" %}
{% endtab %}

{% tab title=".NET" %}
{% embed url="<https://raw.githubusercontent.com/mindee/mindee-api-dotnet/refs/heads/main/SKILL.md>" %}
{% endtab %}
{% endtabs %}

## Serveurs MCP

Pour connecter votre agent IA à la documentation Mindee MCP :

1. cliquez sur la flèche « plus » à côté du bouton « Demander » en haut de cette page
2. regardez vers le bas de la liste
3. cliquez sur le serveur MCP que vous souhaitez installer


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mindee.com/v2/fr/integrations/ai-coding-assistants.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
